std::runtime_error(3cxx)

NAME
std::runtime_error - One of two subclasses of exception.

SYNOPSIS

#include <stdexcept>

Inherits std::exception.

Inherited by std::chrono::ambiguous_local_time, std::chrono::nonexistent_local_time, std::overflow_error, std::range_error, std::regex_error, std::system_error, and std::underflow_error.

  Public Member Functions

runtime_error (const char *) _GLIBCXX_TXN_SAFE
runtime_error (const runtime_error &)=default
runtime_error (const string &__arg) _GLIBCXX_TXN_SAFE
runtime_error (runtime_error &&) noexcept
runtime_error & operator= (const runtime_error &)=default
runtime_error & operator= (runtime_error &&) noexcept
virtual const char * what () const noexcept

Detailed Description

One of two subclasses of exception.

Runtime errors represent problems outside the scope of a program; they cannot be easily predicted and can generally only be caught as the program executes.

Constructor & Destructor Documentation

  std::runtime_error::runtime_error (const string & __arg) [explicit]
Takes a character string describing the error.

Member Function Documentation

  virtual const char * std::runtime_error::what () const [virtual], [noexcept]
Returns a C-style character string describing the general cause of the current error (the same string passed to the ctor).

Reimplemented from std::exception.

Reimplemented in std::filesystem::filesystem_error, and std::experimental::filesystem::v1::filesystem_error.

Author

Generated automatically by Doxygen for libstdc++ from the source code.